package com.admin.major.mapper;

import java.util.List;
import com.admin.major.domain.MajorApply;
import org.apache.ibatis.annotations.Param;

/**
 * 专业分流申请Mapper接口
 *
 * @author zewei
 * @date 2022-03-26
 */
public interface MajorApplyMapper
{
    /**
     * 查询专业分流申请
     *
     * @param majorApplyId 专业分流申请主键
     * @return 专业分流申请
     */
    public MajorApply selectMajorApplyByMajorApplyId(String majorApplyId);

    /**
     * 查询专业分流申请列表
     *
     * @param majorApply 专业分流申请
     * @return 专业分流申请集合
     */
    public List<MajorApply> selectMajorApplyList(MajorApply majorApply);

    /**
     * 新增专业分流申请
     *
     * @param majorApply 专业分流申请
     * @return 结果
     */
    public int insertMajorApply(MajorApply majorApply);

    /**
     * 修改专业分流申请
     *
     * @param majorApply 专业分流申请
     * @return 结果
     */
    public int updateMajorApply(MajorApply majorApply);

    /**
     * 删除专业分流申请
     *
     * @param majorApplyId 专业分流申请主键
     * @return 结果
     */
    public int deleteMajorApplyByMajorApplyId(String majorApplyId);

    /**
     * 批量删除专业分流申请
     *
     * @param majorApplyIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMajorApplyByMajorApplyIds(String[] majorApplyIds);

    void updateMajorApplyStatus(@Param("year") String year,@Param("collegeId") Long collegeId);
}
